%define verstr 16.30.3-315407
%undefine _hardened_build
%define debug_package %{nil}

Name:		amdgpu-pro
Version:	16.30.3.315407
Release:	1%{?dist}

Summary:	AMD GPU proprietary video driver
Group:		User Interface/X Hardware Support
License:	AMD GPU-PRO

URL:		http://support.amd.com/en-us/kb-articles/Pages/AMD-Radeon-GPU-PRO-Linux-Beta-Driver%e2%80%93Release-Notes.aspx
Source:		https://www2.ati.com/drivers/linux/%{name}_%{verstr}.tar.xz

BuildRequires:	chrpath
Requires:	dkms >= 1.95

%description


%prep
%autosetup -n %{name}-driver


%build


%install
ar p amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-clinfo_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-computing_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-core_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-dkms_%{verstr}_all.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-graphics_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-libopencl1_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-libopencl-dev_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-opencl-icd_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p amdgpu-pro-vulkan-driver_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libdrm2-amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libdrm-amdgpu-pro-amdgpu1_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libdrm-amdgpu-pro-dev_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libdrm-amdgpu-pro-tools_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libegl1-amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libegl1-amdgpu-pro-dev_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libgbm1-amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libgbm-amdgpu-pro-dev_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libgl1-amdgpu-pro-dev_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libgl1-amdgpu-pro-dri_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libgl1-amdgpu-pro-glx_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libgles2-amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libgles2-amdgpu-pro-dev_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p libvdpau-amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}
ar p xserver-xorg-video-amdgpu-pro_%{verstr}_amd64.deb data.tar.xz | tar xJ -C %{buildroot}

# Erase all libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Use lib64
mv %{buildroot}/usr/lib/x86_64-linux-gnu %{buildroot}%{_libdir}
sed -i 's/lib\/x86_64-linux-gnu/lib64/' %{buildroot}%{_datadir}/X11/xorg.conf.d/01-amdgpu-pro.conf
sed -i 's/lib\/x86_64-linux-gnu/lib64/' %{buildroot}%{_sysconfdir}/vulkan/icd.d/amd_icd64.json

# Fix libpath and modprobe
install -d %{buildroot}%{_sysconfdir}/modprobe.d
install -d %{buildroot}%{_sysconfdir}/ld.so.conf.d
mv %{buildroot}/lib/amdgpu-pro/modprobe.conf %{buildroot}%{_sysconfdir}/modprobe.d/amdgpu-pro.conf
mv %{buildroot}/lib/amdgpu-pro/ld.conf %{buildroot}%{_sysconfdir}/ld.so.conf.d/amdgpu-pro.conf
sed -i 's/lib\/i386-linux-gnu/lib/' %{buildroot}%{_sysconfdir}/ld.so.conf.d/amdgpu-pro.conf
sed -i 's/lib\/x86_64-linux-gnu/lib64/' %{buildroot}%{_sysconfdir}/ld.so.conf.d/amdgpu-pro.conf

# Remove RPATHs -- libdrm-amdgpu-pro-tools
chrpath --delete %{buildroot}%{_bindir}/amdgpu_test
chrpath --delete %{buildroot}%{_bindir}/clinfo
chrpath --delete %{buildroot}%{_bindir}/kmstest
chrpath --delete %{buildroot}%{_bindir}/modeprint
chrpath --delete %{buildroot}%{_bindir}/modetest
chrpath --delete %{buildroot}%{_bindir}/proptest
chrpath --delete %{buildroot}%{_bindir}/vbltest
chrpath --delete %{buildroot}%{_libdir}/amdgpu-pro/libkms.so.1.0.0
chrpath --delete %{buildroot}%{_libdir}/amdgpu-pro/libdrm_amdgpu.so.1.0.0
chrpath --delete %{buildroot}%{_libdir}/amdgpu-pro/gbm/gbm_amdgpu.so
chrpath --delete %{buildroot}%{_libdir}/amdgpu-pro/1.15/modules/drivers/amdgpu_drv.so
chrpath --delete %{buildroot}%{_libdir}/amdgpu-pro/1.16/modules/drivers/amdgpu_drv.so
chrpath --delete %{buildroot}%{_libdir}/amdgpu-pro/1.17/modules/drivers/amdgpu_drv.so
chrpath --delete %{buildroot}%{_libdir}/amdgpu-pro/1.18/modules/drivers/amdgpu_drv.so
chrpath --delete %{buildroot}%{_libdir}/vdpau/libvdpau_amdgpu.so.1.0.0

# Pick Fedora Xorg server version
rm %{buildroot}%{_libdir}/amdgpu-pro/xorg
ln -s 1.18 %{buildroot}%{_libdir}/amdgpu-pro/xorg

# Fix manpage location
mv %{buildroot}%{_mandir}/amdgpu-pro.4 %{buildroot}%{_mandir}/man4

rm %{buildroot}%{_docdir}/amdgpu-pro-*/changelog.Debian.gz
rm %{buildroot}%{_docdir}/*-amdgpu-pro/changelog.Debian.gz
rm %{buildroot}%{_docdir}/*-amdgpu-pro-*/changelog.Debian.gz
rm %{buildroot}%{_docdir}/amdgpu-pro-*/copyright
rm %{buildroot}%{_docdir}/*-amdgpu-pro/copyright
rm %{buildroot}%{_docdir}/*-amdgpu-pro-*/copyright


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc %{_docdir}/amdgpu-pro/changelog.Debian.gz
%license %{_docdir}/amdgpu-pro/copyright

%{_bindir}/clinfo

%{_sysconfdir}/amd/amdapfxx.blb
%{_sysconfdir}/ld.so.conf.d/amdgpu-pro.conf
%{_sysconfdir}/modprobe.d/amdgpu-pro.conf
%{_datadir}/amdgpu-pro/manifest.xml
%{_datadir}/initramfs-tools/hooks/zz_amdgpu-blacklist-radeon

%{_datadir}/amdgpu-pro-dkms
%{_usrsrc}/amdgpu-pro-%{verstr}
%doc %{_docdir}/amdgpu-pro-dkms/README.Debian

%{_sysconfdir}/amd/amdrc
%{_sysconfdir}/gbm/gbm.conf
%{_datadir}/X11/xorg.conf.d/01-amdgpu-pro.conf

%{_libdir}/libOpenCL.so
%{_libdir}/amdgpu-pro/libOpenCL.so.1
%{_libdir}/amdgpu-pro/libOpenCL.so

%{_sysconfdir}/OpenCL/vendors/amdocl64.icd
%{_libdir}/amdgpu-pro/libamdocl64.so
%{_libdir}/amdgpu-pro/libamdocl12cl64.so

%{_sysconfdir}/vulkan/icd.d/amd_icd64.json
%{_libdir}/amdvlk64.so

%{_libdir}/amdgpu-pro/libdrm.so.2.4.0
%{_libdir}/amdgpu-pro/libdrm.so.2
%{_libdir}/amdgpu-pro/libkms.so.1.0.0
%{_libdir}/amdgpu-pro/libkms.so.1

%{_libdir}/amdgpu-pro/libdrm_amdgpu.so.1.0.0
%{_libdir}/amdgpu-pro/libdrm_amdgpu.so.1

%{_includedir}/amdgpu-pro/libdrm
%{_includedir}/amdgpu-pro/libkms
%{_includedir}/amdgpu-pro/xf86drm.h
%{_includedir}/amdgpu-pro/xf86drmMode.h
%{_libdir}/amdgpu-pro/libdrm.so
%{_libdir}/amdgpu-pro/libdrm_amdgpu.so
%{_libdir}/amdgpu-pro/pkgconfig/libkms.pc
%{_libdir}/amdgpu-pro/pkgconfig/libdrm.pc
%{_libdir}/amdgpu-pro/pkgconfig/libdrm_amdgpu.pc

%{_bindir}/amdgpu_test
%{_bindir}/kmstest
%{_bindir}/modeprint
%{_bindir}/modetest
%{_bindir}/proptest
%{_bindir}/vbltest

%{_libdir}/amdgpu-pro/libEGL.so.1
%{_libdir}/amdgpu-pro/libEGL.so

%{_libdir}/amdgpu-pro/libgbm.so.1.0.0
%{_libdir}/amdgpu-pro/libgbm.so.1
%{_libdir}/amdgpu-pro/gbm/gbm_amdgpu.so
%{_libdir}/amdgpu-pro/gbm/libdummy.so

%{_libdir}/amdgpu-pro/libGL.so.1.2
%{_libdir}/amdgpu-pro/libGL.so.1
%{_libdir}/amdgpu-pro/libGL.so

%{_libdir}/dri/amdgpu_dri.so

%{_libdir}/amdgpu-pro/libGLESv2.so.2
%{_libdir}/amdgpu-pro/libGLESv2.so

%{_libdir}/vdpau/libvdpau_amdgpu.so.1.0.0
%{_libdir}/vdpau/libvdpau_amdgpu.so.1.0
%{_libdir}/vdpau/libvdpau_amdgpu.so.1
%{_libdir}/vdpau/libvdpau_amdgpu.so

%{_mandir}/man4/amdgpu.4.gz
%{_libdir}/amdgpu-pro/1.15
%{_libdir}/amdgpu-pro/1.16
%{_libdir}/amdgpu-pro/1.17
%{_libdir}/amdgpu-pro/1.18
%{_libdir}/amdgpu-pro/xorg


%changelog
* Sat Sep 10 2016 Christopher Atherton <the8lack8ox@gmail.com> - 16.30.3.315407-1
- Initial spec
